
<!DOCTYPE html>

<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>
<body>
  <div id="app">
    <button onclick="vm.openForm()">OpenForm</button>
    <h1>{{ 'Nilai a : '+ hasil }}</h1>
    <h1>{{ 'Rata-rata : '+ rt }}</h1>
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
        a:0,
        rt:0,
        hasil:0
       
      },
      methods : {
          openForm:function(){

            for(let x=1; x<=4; x++){
                this.a=parseInt(prompt("masukan nilai ke "+x));
                let nilai=parseInt(this.a)
                this.hasil=this.hasil+nilai
            }
            return this.rt=this.hasil/4

          }
          

      }
  })
  </script>
</body>
</html>